%global pkg_name pyqt5-sip
%global pypi_name pyqt5_sip
%global _sip_api_major 12
%global _sip_api_minor 16
%global _sip_api %{_sip_api_major}.%{_sip_api_minor}

Name:           python-%{pkg_name}
Epoch:          1
Version:        12.16.1
Release:        %mkrel 1
Summary:        The sip module support for PyQt5
Group:          Development/Python
License:        GPLv2 or GPLv3
URL:            https://www.riverbankcomputing.com/software/sip/
Source0:        %{pypi_source}

BuildRequires:  gcc
BuildRequires:  pyproject-rpm-macros
BuildRequires:  python3-devel
BuildRequires:  %{py3_dist setuptools}
BuildRequires:  %{py3_dist wheel}

%description
The sip extension module provides support for the PyQt5 package.

%package -n     python3-%{pkg_name}
Summary:        The sip module support for PyQt5
Group:          Development/Python
%{?python_provide:%python_provide python3-%{pkg_name}}
Provides:       python3-pyqt5-sip-api(%{_sip_api_major}) = %{_sip_api}
Provides:       python3-pyqt5-sip-api(%{_sip_api_major})%{?_isa} = %{_sip_api}

%description -n python3-%{pkg_name}
The sip extension module provides support for the PyQt5 package.

%prep
%autosetup -n %{pypi_name}-%{version}

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files PyQt5

%files -n python3-%{pkg_name} -f %{pyproject_files}
%doc README


%changelog
* Wed Dec 18 2024 daviddavid <daviddavid> 1:12.16.1-1.mga10
+ Revision: 2126014
- new version: 12.16.1

* Wed Dec 11 2024 daviddavid <daviddavid> 1:12.16.0-1.mga10
+ Revision: 2123442
- new version: 12.16.0

* Tue Jul 16 2024 daviddavid <daviddavid> 1:12.15.0-1.mga10
+ Revision: 2081665
- new version: 12.15.0

* Wed Jan 24 2024 daviddavid <daviddavid> 1:12.14.0-1.mga10
+ Revision: 2034091
- new version: 12.14.0

* Thu Dec 07 2023 wally <wally> 1:12.13.0-2.mga10
+ Revision: 2015233
- rebuild for py3.12

* Wed Oct 25 2023 daviddavid <daviddavid> 1:12.13.0-1.mga10
+ Revision: 2001584
- new version: 12.13.0
- switch to pyproject

* Tue Aug 30 2022 wally <wally> 1:12.11.0-1.mga9
+ Revision: 1882041
- new version 12.11.0

* Wed May 18 2022 wally <wally> 1:12.10.1-1.mga9
+ Revision: 1858629
- new version 12.10.1

* Sat Mar 19 2022 umeabot <umeabot> 1:12.9.1-2.mga9
+ Revision: 1799313
- Mageia 9 Mass Rebuild

* Fri Feb 25 2022 tv <tv> 1:12.9.1-1.mga9
+ Revision: 1784820
- Add epoch…
- imported package python-pyqt5-sip


* Fri Feb 25 2022 Thierry Vignaud <tv@mageia.org> 12.9.1-1.mga9
- Import from FC

* Fri Feb 18 2022 Scott Talbert <swt@techie.net> - 12.9.1-1
- Update to new upstream release 12.9.1 (#2049165)

* Fri Jan 21 2022 Fedora Release Engineering <releng@fedoraproject.org> - 12.9.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_36_Mass_Rebuild

* Fri Jul 23 2021 Fedora Release Engineering <releng@fedoraproject.org> - 12.9.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_35_Mass_Rebuild

* Sat Jul 10 2021 Scott Talbert <swt@techie.net> - 12.9.0-1
- Update to latest upstream release for sip 6

* Tue Jul 06 2021 Scott Talbert <swt@techie.net> - 12.8.1-2
- Correct sip-api provides (#1979409)

* Mon May 24 2021 Scott Talbert <swt@techie.net> - 12.8.1-1
- Initial package
